%global momorel	4
Summary:	Namespace-aware XML parser written in TeX.
Name:		xmltex
Version:	0.020020625
Release: %{momorel}m%{?dist}
License:	LPPL
Group:		Applications/Publishing
Source0:	ftp://ftp.tex.ac.uk/tex-archive/macros/xmltex.tar.gz
Source1:	xmltex.tex
Source2:	xmltexfmtutil.cnf
Requires:	tetex-latex
BuildRequires:  tetex-latex
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
Namespace-aware XML parser written in TeX.

%prep
%setup -q -c %{name}-%{version}
mv -f xmltex/base/* .
cp -f %{SOURCE1} .


%build
pdfetex -ini "&pdflatex" pdfxmltex.ini
etex -ini "&hugelatex" xmltex.ini

%install
rm -rf %{buildroot}
install -d %{buildroot}%{_datadir}/texmf/tex/xmltex
install -d %{buildroot}%{_datadir}/texmf/web2c
install -d %{buildroot}%{_bindir}

install *.xmt %{buildroot}%{_datadir}/texmf/tex/xmltex
install %{name}.cfg %{buildroot}%{_datadir}/texmf/tex/xmltex
install %{SOURCE2} *.ini *.tex %{buildroot}%{_datadir}/texmf/tex/xmltex
install pdf%{name}.fmt %{buildroot}%{_datadir}/texmf/web2c/
install %{name}.fmt %{buildroot}%{_datadir}/texmf/web2c/
ln -s pdftex ${RPM_BUILD_ROOT}%{_bindir}/pdf%{name}
ln -s latex ${RPM_BUILD_ROOT}%{_bindir}/%{name}

touch %{buildroot}%{_datadir}/texmf/web2c/xmltex.log
touch %{buildroot}%{_datadir}/texmf/web2c/pdfxmltex.log

bzip2 -f readme.txt

%clean
rm -rf %{buildroot}

%post
/usr/bin/env - PATH=$PATH:%{_bindir} texhash > /dev/null 2>&1
/usr/bin/env - PATH=$PATH:%{_bindir} fmtutil-sys --cnffile %{_datadir}/texmf/tex/xmltex/xmltexfmtutil.cnf --all > /dev/null 2>&1
exit 0

%postun
/usr/bin/env - PATH=$PATH:%{_bindir} texhash > /dev/null 2>&1
exit 0

%triggerin -- tetex-latex
/usr/bin/env - PATH=$PATH:%{_bindir} fmtutil-sys --cnffile %{_datadir}/texmf/tex/xmltex/xmltexfmtutil.cnf --all > /dev/null 2>&1
exit 0

%files
%defattr(644,root,root,755)
%doc *.bz2 *.html
%{_bindir}/xmltex
%{_bindir}/pdfxmltex
%ghost %{_datadir}/texmf/web2c/*.fmt
%ghost %{_datadir}/texmf/web2c/*.log
%{_datadir}/texmf/tex/xmltex

%changelog
* Sat Jun 17 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.020020625-4m)
- add %%ghost entries for *.log

* Wed Jun 14 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.020020625-3m)
- resync with Fedora Core
- - * Tue Feb  7 2006 Tim Waugh <twaugh@redhat.com> 20020625-7
- - Fix xmltex symlink (-> latex) (bug #168728).	 
- - * Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- - - rebuilt  	 
- - * Tue Sep 20 2005 Tim Waugh <twaugh@redhat.com> 20020625-6
- - - Build fmt file using &latex not &hugelatex (bug #168728).
- - * Wed Mar  2 2005 Tim Waugh <twaugh@redhat.com> 20020625-5
- - - Use fmtutil-sys instead of fmtutil (bug #150089).
- - - Use etex/pdfetex as engine.

* Sat May 27 2006 Mitsuru Shimamura <smbd@momonga-linux.org>
- (0.020020625-2m)
- BuildRequires: tetex

* Thu Mar 10 2005 Yasuo Ohgaki <yohgaki@momonga-linux.org>
- (0.020020625-1m)
- update to 2002/06/25 version. the same version as FC3.

* Sat Nov 20 2004 Kimitake SHIBATA <siva@momonga-linux.org>
- (0.020000118-16m)
- fix missing bindir/*

* Wed Apr 15 2004 Toru Hoshina <t@momonga-linux.org>
- (0.020000118-15m)
- import from FC1 for anaconda.
- version number is formed under 0.0$date, so it is 0.020000118.

* Fri Sep 12 2003 Tim Waugh <twaugh@redhat.com> 20020118-14.1
- Rebuilt.

* Fri Sep 12 2003 Tim Waugh <twaugh@redhat.com> 20020118-14
- Requires tetex-latex (bug #104307).

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Nov 20 2002 Tim Powers <timp@redhat.com>
- rebuild in current collinst

* Tue Jul 23 2002 Tim Powers <timp@redhat.com> 20020118-11
- rebuild using gcc-3.2-0.1

* Fri Jun 21 2002 Tim Powers <timp@redhat.com> 20020118-10
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com> 20020118-9
- automated rebuild

* Thu Feb 21 2002 Tim Waugh <twaugh@redhat.com> 20020118-8
- Fix group (bug #60177).

* Thu Feb 21 2002 Tim Waugh <twaugh@redhat.com> 20000118-7
- Rebuild in new environment.

* Wed Jan 09 2002 Tim Powers <timp@redhat.com> 20000118-6
- automated rebuild

* Wed Dec 12 2001 Tim Waugh <twaugh@redhat.com> 20000118-5
- Trigger recreation of the format file on tetex-latex.

* Wed Dec  5 2001 Tim Waugh <twaugh@redhat.com> 20000118-4
- New xmltex.tex (from Sebastian).
- Fmt files should be marked as ghosts so that RPM verification works.

* Sat Oct  6 2001 Tim Waugh <twaugh@redhat.com> 20000118-3
- Built for Red Hat Linux.  Package from PLD.

* Sat Oct  6 2001 PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: xmltex.spec,v $
Revision 1.6  2001/03/27 16:50:29  wiget
add xmltex.cfg file and one missing dir in %%files; release 3

Revision 1.5  2001/03/27 11:10:41  wiget
include xmltex macros; requires tex/pdftex

Revision 1.4  2001/01/24 14:18:54  klakier
- archive file changed

Revision 1.3  2001/01/24 13:28:40  klakier
- link fixed

Revision 1.2  2001/01/24 12:34:27  klakier
- added Version and more doc

Revision 1.1  2001/01/24 12:03:51  klakier
- initial

